from dataclasses import dataclass, field

from .base import Paysite, Service_Post, Service_User


@dataclass
class User(Service_User):
    def profile(self, artist: dict) -> str:
        return ""


@dataclass
class Post(Service_Post):
    def link(self, post_id: str, user_id: str) -> str:
        return ""


@dataclass
class Afdian(Paysite):
    name: str = "afdian"
    title: str = "Afdian"
    user: User = field(default_factory=User)
    post: Post = field(default_factory=Post)
    color: str = "#9169df"
